
%global meadversion 1.2.13
%global namedversion 1.2.13.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}glassfish-fastinfoset}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.13.redhat-1

Name:           %{?scl_prefix}glassfish-fastinfoset
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        fastinfoset
Group:          Development/Java

%if %with mead
Source100: fastinfoset-project-1.2.13.redhat-1-scm-sources.zip
Source102: FastInfosetSamples-1.2.13.redhat-1.jar
Source103: FastInfosetSamples-1.2.13.redhat-1-sources.jar
Source104: FastInfosetSamples-1.2.13.redhat-1-javadoc.jar
Source105: FastInfosetSamples-1.2.13.redhat-1.pom
Source106: FastInfoset-1.2.13.redhat-1-javadoc.jar
Source107: FastInfoset-1.2.13.redhat-1.jar
Source108: FastInfoset-1.2.13.redhat-1-sources.jar
Source109: FastInfoset-1.2.13.redhat-1.pom
Source110: FastInfoset-1.2.13.redhat-1-tests.jar
Source111: FastInfosetUtilities-1.2.13.redhat-1-sources.jar
Source112: FastInfosetUtilities-1.2.13.redhat-1-tests.jar
Source113: FastInfosetUtilities-1.2.13.redhat-1.jar
Source114: FastInfosetUtilities-1.2.13.redhat-1-javadoc.jar
Source115: FastInfosetUtilities-1.2.13.redhat-1.pom
Source116: FastInfosetRoundTripTests-1.2.13.redhat-1-javadoc.jar
Source117: FastInfosetRoundTripTests-1.2.13.redhat-1.pom
Source118: FastInfosetRoundTripTests-1.2.13.redhat-1.jar
Source119: FastInfosetRoundTripTests-1.2.13.redhat-1-sources.jar
Source120: fastinfoset-project-1.2.13.redhat-1-project-sources.tar.gz
Source121: fastinfoset-project-1.2.13.redhat-1-javadoc.jar
Source122: fastinfoset-project-1.2.13.redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://fi.java.net
Requires:       %{?scl_prefix}FastInfoset = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Open Source implementation of the Fast Infoset Standard for Binary XML
(http://www.itu.int/ITU-T/asn1/).

%package -n %{?scl_prefix}FastInfoset
Summary:        fastinfoset
Group:          Development/Java


%description -n %{?scl_prefix}FastInfoset
%{summary}.

%package -n %{?scl_prefix}FastInfosetRoundTripTests
Summary:        fastinfoset-roundtrip-tests
Group:          Development/Java

Requires:       %{?scl_prefix_eap}FastInfoset = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}FastInfosetRoundTripTests
%{summary}.

%package -n %{?scl_prefix}FastInfosetUtilities
Summary:        fastinfoset-utilities
Group:          Development/Java

Requires:       %{?scl_prefix_eap}FastInfoset = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}xsom >= 0:20100725
Requires:       %{?scl_prefix_eap}streambuffer >= 0:0.7

%description -n %{?scl_prefix}FastInfosetUtilities
%{summary}.

%package -n %{?scl_prefix}FastInfosetSamples
Summary:        fastinfoset-samples
Group:          Development/Java

Requires:       %{?scl_prefix_eap}FastInfoset = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}FastInfosetUtilities = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}FastInfosetSamples
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for glassfish-fastinfoset
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n glassfish-fastinfoset -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/FastInfoset-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfoset-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfoset-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfoset-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfoset-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfoset-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/FastInfosetRoundTripTests-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfosetRoundTripTests-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfosetRoundTripTests-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/FastInfosetUtilities-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfosetUtilities-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfosetUtilities-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfosetUtilities-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfosetUtilities-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfosetUtilities-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/FastInfosetSamples-%{namedversion}.jar %{buildroot}%{_javadir}/FastInfosetSamples-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/FastInfosetSamples-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/FastInfosetSamples-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/FastInfosetSamples-%{namedversion}-sources.jar %{buildroot}%{_javadir}/FastInfosetSamples-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/FastInfoset-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/FastInfoset-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/FastInfoset-%{namedversion} -x META-INF/\*
%{__ln_s} FastInfoset-%{namedversion} %{buildroot}%{_javadocdir}/FastInfoset
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}FastInfoset
%defattr(0644,root,root,0755)
%doc copyright.txt
%{_javadir}/FastInfoset-%{namedversion}.jar
%{_javadir}/FastInfoset.jar
%if %with javadoc
%{_javadir}/FastInfoset-%{namedversion}-javadoc.jar
%{_javadir}/FastInfoset-javadoc.jar
%endif
%{_javadir}/FastInfoset-%{namedversion}-sources.jar
%{_javadir}/FastInfoset-sources.jar

%files -n %{?scl_prefix}FastInfosetRoundTripTests
%defattr(0644,root,root,0755)
%{_javadir}/FastInfosetRoundTripTests-%{namedversion}.jar
%{_javadir}/FastInfosetRoundTripTests.jar
%if %with javadoc
%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-javadoc.jar
%{_javadir}/FastInfosetRoundTripTests-javadoc.jar
%endif
%{_javadir}/FastInfosetRoundTripTests-%{namedversion}-sources.jar
%{_javadir}/FastInfosetRoundTripTests-sources.jar

%files -n %{?scl_prefix}FastInfosetUtilities
%defattr(0644,root,root,0755)
%{_javadir}/FastInfosetUtilities-%{namedversion}.jar
%{_javadir}/FastInfosetUtilities.jar
%if %with javadoc
%{_javadir}/FastInfosetUtilities-%{namedversion}-javadoc.jar
%{_javadir}/FastInfosetUtilities-javadoc.jar
%endif
%{_javadir}/FastInfosetUtilities-%{namedversion}-sources.jar
%{_javadir}/FastInfosetUtilities-sources.jar

%files -n %{?scl_prefix}FastInfosetSamples
%defattr(0644,root,root,0755)
%{_javadir}/FastInfosetSamples-%{namedversion}.jar
%{_javadir}/FastInfosetSamples.jar
%if %with javadoc
%{_javadir}/FastInfosetSamples-%{namedversion}-javadoc.jar
%{_javadir}/FastInfosetSamples-javadoc.jar
%endif
%{_javadir}/FastInfosetSamples-%{namedversion}-sources.jar
%{_javadir}/FastInfosetSamples-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/FastInfoset-%{namedversion}
%{_javadocdir}/FastInfoset
%endif

%changelog
* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 1.2.13-1.redhat_1.1
- release

